# Deep image prior regularized by coupled total variation for image colorization

In this repository we provide *Jupyter Notebooks* to reproduce the results of :

> **Deep image prior regularized by coupled total variation for image colorization**
> SSVM 2023
> Gaetano Agazzotti, Fabien Pierre and Frédéric Sur
> [paper](https://hal.science/hal-04035467v1/document)

The code of the following papers have been used and modified:

> **Colorful Image Colorization**
> ECCV 2016
> Richard Zhang, Phillip Isola, Alexei A. Efros
> [Project Page](http://richzhang.github.io/colorization/)

> **Deep Image Prior**
> CVPR 2018
> Dmitry Ulyanov, Andrea Vedaldi, Victor Lempitsky
> [Project Page](https://dmitryulyanov.github.io/deep_image_prior)




# Install

Here is the list of libraries you need to install to execute the code:
- python = 3.7
- jupyter
- matplotlib = 3.3.4
- torch = 1.10.1
- torchvision = 0.11.2
- scikit-image = 0.17.2
- numpy = 1.19.5
- easydict = 1.9

All of them can be installed via `pip` , e.g.
```
pip install -r requirements.txt
```


# Citation
```
@article{Agazzotti23deep,
    author    = {Agazzotti, Gaetano and Sur, Frédéric and Pierre, Fabien},
    title     = {Deep image prior regularized by coupled total variation for image colorization},
    journal   = {Scale space and variational methods in computer vision},
    year      = {2023}
}
```
